#ifndef CPAYMENTNOTICE_H_HEADER_INCLUDED_BE874424
#define CPAYMENTNOTICE_H_HEADER_INCLUDED_BE874424

// Superclass of all payment notices.
//##ModelId=4178A9D00070
class CPaymentNotice
{
  public:
    //##ModelId=4178C3F40071
    CPaymentNotice();

    //##ModelId=4178C3F40072
    CPaymentNotice(const CPaymentNotice& right);

    //##ModelId=4178C3F4007A
    virtual ~CPaymentNotice();

    // loan ID getter
    virtual LONG getLoanID();

  
    // payment due date getter
    virtual DATE getPaymentDueDate();

  
    // loan ID setter
    virtual void setLoanID(LONG id);

  
    // set payment due date
    virtual void setPaymentDueDate(DATE dueDate);


	
    // customer ID getter
	virtual LONG getCustomerID();

    // customer ID setter
	virtual void setCustomerID( LONG id );

    // first name getter
	virtual STRING getFirstName();

    // first name setter
	virtual void setFirstName( STRING name );

    // last name getter
	virtual STRING getLastName();

    // last name setter
	virtual void setLastName( STRING name );

    // address getter
	virtual STRING getAddress( int index );

    
	// address setter
	virtual void setAddress( int index, STRING text );


private:
    // loan ID
    LONG loanID;


    // monthly payment due date
    DATE paymentDueDate;

    // customerID field
	LONG customerID;

    // first name field
	STRING firstName;

    // last name field
	STRING lastName;

    // address field. Allows for four lines of address text.
	STRING address[4];

};



#endif /* CPAYMENTNOTICE_H_HEADER_INCLUDED_BE874424 */
